import 'package:olm/olm.dart' as olm;
import 'dart:convert';

  bool isMinOlmVersion(int major, int minor, int patch) {
    try {
      final version = olm.get_library_version();
      return version[0] > major ||
          (version[0] == major &&
              (version[1] > minor ||
                  (version[1] == minor && version[2] >= patch)));
    } catch (_) {
      return false;
    }
  }

void main() {
  final sas = olm.SAS();
  print(sas.get_pubkey());

  final account = olm.Account();
  print(account.fallback_key());
  account.generate_fallback_key();
  print(account.fallback_key());
  print(json.decode(account.fallback_key()));
  print(olm.get_library_version());
  print(isMinOlmVersion(3, 2, 0));
  print(isMinOlmVersion(3, 2, 1));
  print(isMinOlmVersion(1, 2, 1));
  print(isMinOlmVersion(3, 1, 1));
  print(isMinOlmVersion(3, 2, 3));
  print(isMinOlmVersion(3, 2, 3));
  print(isMinOlmVersion(4, 2, 3));
}
